Page MenuHomePhabricator

[lldb] clean up lldb/scripts a little bit
AbandonedPublic

Authored by hhb on Sep 24 2019, 2:46 PM.

Details

Reviewers
labath
mgorny
Summary

No functional change.

Event Timeline

hhb created this revision.Sep 24 2019, 2:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 24 2019, 2:46 PM
mgorny accepted this revision.Sep 24 2019, 10:23 PM

Without testing, the changes LGTM. However, please wait for Pavel to review this as well.

This revision is now accepted and ready to land.Sep 24 2019, 10:23 PM

I don't think this is fully right. We did have a separate xcode build, but it was removed a couple of months ago. Instead the regular cmake build supports building a macos-style framework (and I believe it does that regardless of which generator is used). So all that's needed here is to replace references to xcode with some blurb about "frameworks", and instead of "built by llvm" we should just say that we're building with a traditional unix layout. @sgraenitz might know more details here...

hhb updated this revision to Diff 223117.Oct 3 2019, 4:29 PM

Fix comment

labath accepted this revision.Oct 4 2019, 1:15 AM
hhb abandoned this revision.Oct 7 2019, 1:59 PM